Bug 998972 - [abrt] glom-1.22.1-4.fc19: _gtk_css_computed_values_get_difference: Process /usr/bin/glom was killed by signal 11 (SIGSEGV)
[abrt] glom-1.22.1-4.fc19: _gtk_css_computed_values_get_difference: Process /...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: glom (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Haïkel Guémar
Fedora Extras Quality Assurance
abrt_hash:7490d6c38d4a177d5286ec0e7fb...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-20 08:53 EDT by Robert Keersse
Modified: 2015-02-17 11:50 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:50:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (21.82 KB, text/plain)
2013-08-20 08:53 EDT, Robert Keersse
no flags Details
File: cgroup (140 bytes, text/plain)
2013-08-20 08:53 EDT, Robert Keersse
no flags Details
File: core_backtrace (3.45 KB, text/plain)
2013-08-20 08:53 EDT, Robert Keersse
no flags Details
File: dso_list (11.90 KB, text/plain)
2013-08-20 08:53 EDT, Robert Keersse
no flags Details
File: environ (2.03 KB, text/plain)
2013-08-20 08:53 EDT, Robert Keersse
no flags Details
File: exploitable (82 bytes, text/plain)
2013-08-20 08:53 EDT, Robert Keersse
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-20 08:54 EDT, Robert Keersse
no flags Details
File: maps (54.11 KB, text/plain)
2013-08-20 08:54 EDT, Robert Keersse
no flags Details
File: open_fds (513 bytes, text/plain)
2013-08-20 08:54 EDT, Robert Keersse
no flags Details
File: proc_pid_status (896 bytes, text/plain)
2013-08-20 08:54 EDT, Robert Keersse
no flags Details
File: var_log_messages (1.62 KB, text/plain)
2013-08-20 08:54 EDT, Robert Keersse
no flags Details

  None (edit)
Description Robert Keersse 2013-08-20 08:53:38 EDT
Version-Release number of selected component:
glom-1.22.1-4.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        glom
crash_function: _gtk_css_computed_values_get_difference
executable:     /usr/bin/glom
kernel:         3.10.5-201.fc19.x86_64
runlevel:       N 5
uid:            0

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 _gtk_css_computed_values_get_difference at gtkcsscomputedvalues.c:264
 #1 _gtk_style_context_validate at gtkstylecontext.c:3255
 #2 gtk_window_show at gtkwindow.c:4779
 #3 _g_closure_invoke_va at gclosure.c:840
 #6 gtk_widget_show at gtkwidget.c:4161
 #7 gtk_dialog_run at gtkdialog.c:1081
 #8 Glom::check_user_is_not_root_with_warning at glom/main.cc:211
Comment 1 Robert Keersse 2013-08-20 08:53:41 EDT
Created attachment 788471 [details]
File: backtrace
Comment 2 Robert Keersse 2013-08-20 08:53:44 EDT
Created attachment 788472 [details]
File: cgroup
Comment 3 Robert Keersse 2013-08-20 08:53:47 EDT
Created attachment 788473 [details]
File: core_backtrace
Comment 4 Robert Keersse 2013-08-20 08:53:50 EDT
Created attachment 788474 [details]
File: dso_list
Comment 5 Robert Keersse 2013-08-20 08:53:54 EDT
Created attachment 788475 [details]
File: environ
Comment 6 Robert Keersse 2013-08-20 08:53:58 EDT
Created attachment 788476 [details]
File: exploitable
Comment 7 Robert Keersse 2013-08-20 08:54:00 EDT
Created attachment 788477 [details]
File: limits
Comment 8 Robert Keersse 2013-08-20 08:54:08 EDT
Created attachment 788478 [details]
File: maps
Comment 9 Robert Keersse 2013-08-20 08:54:12 EDT
Created attachment 788479 [details]
File: open_fds
Comment 10 Robert Keersse 2013-08-20 08:54:15 EDT
Created attachment 788480 [details]
File: proc_pid_status
Comment 11 Robert Keersse 2013-08-20 08:54:18 EDT
Created attachment 788481 [details]
File: var_log_messages
Comment 12 Murray Cumming 2013-10-21 04:30:41 EDT
I guess that this was fixed by this fix in gtkmm:
https://git.gnome.org/browse/gtkmm/commit/gtk/src/application.ccg?id=e05d9666464e90c8e6cf347d7ef63680e0a44b2c

And I guess that the gtkmm fix is already in Fedora, so this can no longer be reproduced.
Comment 13 Fedora End Of Life 2015-01-09 14:31:52 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2015-02-17 11:50:46 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.